NoteData

data

## Class NoteData

- java.lang.Object
- - data.NoteData

-     public class NoteData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `duration`
    `private int` | `pitch`
    `private double` | `quantizedDuration`
    `private double` | `startTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoteData()`
    `NoteData(double startTime)`
    `NoteData(double startTime, double duration)`
    `NoteData(double startTime, double duration, double quantizedDuration, int pitch)`
    `NoteData(double startTime, double duration, int pitch)`
    `NoteData(double startTime, int pitch)`
    `NoteData(int pitch)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NoteData` | `clone()`
    `NoteData` | `Clone()`
    `double` | `getDuration()`
    `java.lang.String` | `getNote()`
    `int` | `getPitch()`
    `double` | `getQuantizedDuration()`
    `double` | `getStartTime()`
    `void` | `setDuration(double duration)`
    `void` | `setPitch(int pitch)`
    `void` | `setQuantizedDuration(double quantizedDuration)`
    `void` | `setStartTime(double startTime)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pitch

          private int pitch

    - #### startTime

          private double startTime

    - #### duration

          private double duration

    - #### quantizedDuration

          private double quantizedDuration

  - ### Constructor Detail

    - #### NoteData

          public NoteData()

    - #### NoteData

          public NoteData(double startTime)

    - #### NoteData

          public NoteData(int pitch)

    - #### NoteData

          public NoteData(double startTime,
                  double duration)

    - #### NoteData

          public NoteData(double startTime,
                  int pitch)

    - #### NoteData

          public NoteData(double startTime,
                  double duration,
                  int pitch)

    - #### NoteData

          public NoteData(double startTime,
                  double duration,
                  double quantizedDuration,
                  int pitch)

  - ### Method Detail

    - #### Clone

          public NoteData Clone()

    - #### getStartTime

          public double getStartTime()

    - #### setStartTime

          public void setStartTime(double startTime)

    - #### getPitch

          public int getPitch()

    - #### getNote

          public java.lang.String getNote()

    - #### setPitch

          public void setPitch(int pitch)

    - #### getDuration

          public double getDuration()

    - #### setDuration

          public void setDuration(double duration)

    - #### getQuantizedDuration

          public double getQuantizedDuration()

    - #### setQuantizedDuration

          public void setQuantizedDuration(double quantizedDuration)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### clone

          public NoteData clone()

      Overrides:
        `clone` in class `java.lang.Object`